---
Name: hpe-system-gen
Description: The generation of HPE ProLiant gear this system is.
Documentation: |
  This tracks the generation of HPE ProLiant gear that the running
  system is.  We do this because HPE organizes their tooling and firmware
  updates according to the system generation.

  Current known generations are:

    * g7
    * gen8
    * gen9
    * gen10
    * gen11

  Generation will be determined automatically using the following code:

      dmidecode |gawk 'match($0, /Product Name:.* ([Gg]7|[Gg]en[0-9]+)/, m) { print tolower(m[1]); exit}'

Schema:
  type: string
